Generate an image
curl --request POST \
--url https://api.pictify.io/image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"html": "<string>",
"url": "<string>",
"template": "<string>",
"variables": {},
"width": 1200,
"height": 630,
"selector": "<string>",
"fileExtension": "png"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
html: '<string>',
url: '<string>',
template: '<string>',
variables: {},
width: 1200,
height: 630,
selector: '<string>',
fileExtension: 'png'
})
};
fetch('https://api.pictify.io/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/image"
payload = {
"html": "<string>",
"url": "<string>",
"template": "<string>",
"variables": {},
"width": 1200,
"height": 630,
"selector": "<string>",
"fileExtension": "png"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/image"
payload := strings.NewReader("{\n \"html\": \"<string>\",\n \"url\": \"<string>\",\n \"template\": \"<string>\",\n \"variables\": {},\n \"width\": 1200,\n \"height\": 630,\n \"selector\": \"<string>\",\n \"fileExtension\": \"png\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/image")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"html\": \"<string>\",\n \"url\": \"<string>\",\n \"template\": \"<string>\",\n \"variables\": {},\n \"width\": 1200,\n \"height\": 630,\n \"selector\": \"<string>\",\n \"fileExtension\": \"png\"\n}"
response = http.request(request)
puts response.read_body{
"url": "https://cdn.pictify.io/renders/abc123.png",
"userStorageUrl": "<string>",
"id": "img_abc123",
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "https://docs.pictify.io/errors/invalid-api-key",
"title": "Invalid API Key",
"status": 401,
"detail": "The provided API key is invalid or has been revoked.",
"instance": "/image"
}{
"type": "https://docs.pictify.io/errors/invalid-api-key",
"title": "Invalid API Key",
"status": 401,
"detail": "The provided API key is invalid or has been revoked.",
"instance": "/image"
}{
"type": "https://docs.pictify.io/errors/invalid-api-key",
"title": "Invalid API Key",
"status": 401,
"detail": "The provided API key is invalid or has been revoked.",
"instance": "/image"
}Images
Generate Image
Generate an image from HTML, URL, or template
POST
/
image
Generate an image
curl --request POST \
--url https://api.pictify.io/image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"html": "<string>",
"url": "<string>",
"template": "<string>",
"variables": {},
"width": 1200,
"height": 630,
"selector": "<string>",
"fileExtension": "png"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
html: '<string>',
url: '<string>',
template: '<string>',
variables: {},
width: 1200,
height: 630,
selector: '<string>',
fileExtension: 'png'
})
};
fetch('https://api.pictify.io/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/image"
payload = {
"html": "<string>",
"url": "<string>",
"template": "<string>",
"variables": {},
"width": 1200,
"height": 630,
"selector": "<string>",
"fileExtension": "png"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/image"
payload := strings.NewReader("{\n \"html\": \"<string>\",\n \"url\": \"<string>\",\n \"template\": \"<string>\",\n \"variables\": {},\n \"width\": 1200,\n \"height\": 630,\n \"selector\": \"<string>\",\n \"fileExtension\": \"png\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/image")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"html\": \"<string>\",\n \"url\": \"<string>\",\n \"template\": \"<string>\",\n \"variables\": {},\n \"width\": 1200,\n \"height\": 630,\n \"selector\": \"<string>\",\n \"fileExtension\": \"png\"\n}"
response = http.request(request)
puts response.read_body{
"url": "https://cdn.pictify.io/renders/abc123.png",
"userStorageUrl": "<string>",
"id": "img_abc123",
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "https://docs.pictify.io/errors/invalid-api-key",
"title": "Invalid API Key",
"status": 401,
"detail": "The provided API key is invalid or has been revoked.",
"instance": "/image"
}{
"type": "https://docs.pictify.io/errors/invalid-api-key",
"title": "Invalid API Key",
"status": 401,
"detail": "The provided API key is invalid or has been revoked.",
"instance": "/image"
}{
"type": "https://docs.pictify.io/errors/invalid-api-key",
"title": "Invalid API Key",
"status": 401,
"detail": "The provided API key is invalid or has been revoked.",
"instance": "/image"
}Authorizations
API key obtained from the Pictify dashboard
Body
application/json
HTML content to render
URL to screenshot (mutually exclusive with html)
Template UID to render
Variables to populate in the template
Output width in pixels
Required range:
1 <= x <= 4000Output height in pixels
Required range:
1 <= x <= 4000CSS selector to capture specific element
Output image format
Available options:
png, jpg, jpeg, webp Response
Image generated successfully
⌘I